#!/bin/bash

# Skrypt usuwa logi starsze niż 30 dni z katalogu backproc (uruchamiany z crona)

set -e
set -u
LOG_BACKUP="/var/log/backup_edokumenty"
ENV="edokumenty"

mkdir -p ${LOG_BACKUP}

DATESTART=$(date +"%Y-%m-%d %H:%M:%S")
echo "Start: Czyszczenie logów backproc ${DATESTART}"  >> ${LOG_BACKUP}/clean_backproc_log.log


# Usuwa pliki starsze niż 30 dni z katalogu /home/edokumenty/public_html/apps/backproc/logs
find /home/$ENV/public_html/apps/backproc/logs -type f -mtime +30 -delete


DATEEND=$(date +"%Y-%m-%d %H:%M:%S")
echo "Koniec: Czyszczenie logów backproc ${DATEEND}" >> ${LOG_BACKUP}/clean_backproc_log.log